"use strict";
const common_vendor = require("../../common/vendor.js");
const common_libraries_getPageConfig = require("../../common/libraries/getPageConfig.js");
require("../../common/store/useWeAppAuthStore.js");
require("../../gen/Apis.js");
require("../../common/libraries/request.js");
require("../../common/store/useWorkStore.js");
require("../../common/libraries/setTabBar.js");
require("../../common/libraries/apiLoading.js");
if (!Array) {
  const _easycom_hs_all_page_bg2 = common_vendor.resolveComponent("hs-all-page-bg");
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  const _easycom_hs_button2 = common_vendor.resolveComponent("hs-button");
  (_easycom_hs_all_page_bg2 + _easycom_uni_icons2 + _easycom_hs_button2)();
}
const _easycom_hs_all_page_bg = () => "../../components/hs-all-page-bg/hs-all-page-bg.js";
const _easycom_uni_icons = () => "../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
const _easycom_hs_button = () => "../../components/hs-button/hs-button.js";
if (!Math) {
  (_easycom_hs_all_page_bg + _easycom_uni_icons + _easycom_hs_button)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "success",
  setup(__props) {
    const handleREturnHome = (url) => {
      common_vendor.index.switchTab({
        url
      });
    };
    return (_ctx, _cache) => {
      return {
        a: common_vendor.p({
          type: "checkbox-filled",
          size: "50",
          color: common_vendor.unref(common_libraries_getPageConfig.getStyleColorValueInfo)()
        }),
        b: common_vendor.o(($event) => handleREturnHome("/pages/me/index")),
        c: common_vendor.s(common_vendor.unref(common_libraries_getPageConfig.getStyleColorInfo)()),
        d: common_vendor.o(($event) => handleREturnHome("/pages/index/index")),
        e: common_vendor.p({
          label: "返回首页",
          type: "primary",
          size: "md"
        })
      };
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-5275858b"], ["__file", "/Users/zsq/Sources/github/2025property-pay/pay-customer/src/INDEX/binding/success.vue"]]);
wx.createPage(MiniProgramPage);
